//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include "box.h"
#include "repere.h"
#include "main.h"
#include "iboolean.h"
#include "observer.h"
#include "controller.h"
#include "auv.h"

//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// Composants grs par l'EDI
        TButton *Button1;
        TImage *Image1;
        TImage *Image2;
        TImage *Image3;
        TImage *Image4;
        TImage *Image5;
        TImage *Image6;
        TImage *Image7;
        TImage *Image8;
        TImage *Image9;
        TImage *Image10;
        TImage *Image_courbes;
        TMemo *Memo1;
        void __fastcall Button1Click(TObject *Sender);
  //      void __fastcall FormCreate(TObject *Sender);
        void __fastcall FormClick(TObject *Sender);
private:	// Dclarations utilisateur
public:		// Dclarations utilisateur
        __fastcall TForm1(TComponent* Owner);

        void TForm1::DrawRoom(repere& R);
        void TForm1::DrawRobot1(repere& R,double& x,double& y,double& theta, double& alpha, double& D,TColor couleur,int epais);
        void TForm1::DrawDataPoint(repere& R,double& y, TColor couleur, double epais);
        void TForm1::DrawDataCadre(repere& R,double& y, TColor couleur, double epais);
        void TForm1::DrawDataBar(repere& R,interval& y, TColor couleur);
        bool TForm1::Contract(box& P);
        box TForm1::SIVIA();
        void TForm1::Simul();
        void TForm1::GO();
        repere R1,R2,R3,R4,Rd,Rx,Ry,Rtheta,Rv,Rxy,Rcourbes;
        double t,dt;
        double prob_inlier;
        observer observer1;
        controller controller1;
        auv auv1;

};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
