

#include "auv.h"
#include "Unit1.h"
extern TForm1 *Form1;

//---------------------------------------------------------------------------
char* fgets2(FILE* f,char* line)   //Afin d'ignorer les lignes qui commencent par %
{ char* r;
  do   { r=fgets(line,256,f);}  while ((line[0]=='%')&&(r!= NULL));
  return r;
}
//---------------------------------------------------------------------------
auv::auv()
{      x =2; y =2; theta =-1; v =0; alpha =0;
    //randomize();
    double a,b;
    a=0;
    for (int i=1;i<=333+0*1000;i++)
      { a=a+(1.0*rand())/RAND_MAX;
        b=a/(i*1.0);
      }

    FILE *f;
    char line[256];
    f = fopen("auv.txt","r");
    fgets2(f,line); sscanf(line,"%lf",&ws);
    fgets2(f,line); sscanf(line,"%lf",&coef_friction);
    fgets2(f,line); sscanf(line,"%lf",&coef_puissance_moteur);
    fgets2(f,line); sscanf(line,"%lf",&coef_ecart_moteur);
    fgets2(f,line); sscanf(line,"%d",&N_cercles);
    for (int i=0;i<N_cercles;i++)
        {   double x,y,r;
            fgets2(f,line); sscanf(line,"%lf%lf%lf",&x,&y,&r);
            cercles_x.push_back(x); cercles_y.push_back(y); cercles_r.push_back(r);
        }
    while (fgets2(f,line) != NULL)
        {   double xa,ya,xb,yb;
            sscanf(line,"%lf%lf%lf%lf",&xa,&ya,&xb,&yb);
            murs_xa.push_back(xa);  murs_ya.push_back(ya);
            murs_xb.push_back(xb);  murs_yb.push_back(yb);
            N_murs=murs_xa.size();
        }
    fclose(f);
}
//---------------------------------------------------------------------------
void auv::clock(double& d1, double& alpha1, int& is_inlier, double& theta1, double u1, double u2)
{    double d1a=DistanceDirSegments(x,y,alpha+theta,murs_xa,murs_ya,murs_xb,murs_yb);
     double d1b=DistanceDirCercles(x,y,alpha+theta,cercles_x,cercles_y,cercles_r);
     d1=min(d1a,d1b);
     alpha1=alpha;
     theta1=theta;

     is_inlier=1;
     double ran=1.0*rand()/RAND_MAX;
     if ((ran-0.02)>Form1->prob_inlier)    // enlever 0.1
         {//d1=100;
          is_inlier=0;
          d1=1.0+10.0*rand()/RAND_MAX;
          };
     double noise=1.0*rand()/RAND_MAX;
     d1=d1+(noise-0.5)*0.001;



     Form1->R2.Clean();
     Form1->DrawRoom(Form1->R2);
     Form1->DrawRobot1(Form1->R2,x,y,theta1,alpha1,d1,clBlack,1);
     Form1->DrawDataPoint(Form1->Rd,d1,clBlack,1);
     Form1->DrawDataPoint(Form1->Rx,x,clBlack,1);
     Form1->DrawDataPoint(Form1->Ry,y,clBlack,1);
     Form1->DrawDataPoint(Form1->Rtheta,theta,clBlack,1);
     Form1->DrawDataPoint(Form1->Rv,v,clBlack,1);
     Form1->Rxy.DrawPoint(x,y,clBlack,1);

     double xp     = x     + Form1->dt*(cos(theta)*v);
     double yp     = y     + Form1->dt*(sin(theta)*v);
     double thetap = theta + Form1->dt*coef_ecart_moteur*(u2-u1);
     double vp     = v     + Form1->dt*(coef_puissance_moteur*(u1+u2)-coef_friction*v);
     double alphap = alpha + Form1->dt*ws;
     x=xp;y=yp;theta=thetap;v=vp;alpha=alphap;
}


