#ifndef AUVH
#define AUVH


#include <math.h>
#include <list.h>
#include <vector.h>

#define PI 3.1415926535897932384626433832795f
#define RadToDeg 180.0f/PI
#define PI_sur_180 PI/180.0f
//---------------------------------------------------------------------------
class auv
{
   public:
        double ws;
        double coef_friction;
        double coef_puissance_moteur;
        double coef_ecart_moteur;
        int N_murs;
        vector<double> murs_xa,murs_xb,murs_ya,murs_yb;
        int N_cercles;
        vector <double> cercles_x,cercles_y,cercles_r;

        double x,y,theta,v,alpha;
        auv();
        void clock(double& d1, double& alpha1, int& is_inlier, double& theta1, double u1, double u2);
};
//---------------------------------------------------------------------------
#endif
