//--------------------------------------------------------------------------
#include <vcl.h>
#include <list.h>
#pragma hdrstop

#include "main.h"
#include <Math.hpp>
#include "Unit1.h"
#include "repere.h"
#include "box.h"
#include "interval.h"
#include <fstream>
#include "Unit1.h"



extern TForm1 *Form1;
fstream Fout;
//---------------------------------------------------------------------------
#pragma package(smart_init)
//----------------------------------------------------------------------
void TForm1::DrawRoom(repere& R)
{ for (int j=0;j<Form1->auv1.N_cercles;j++)
       R.DrawCircle(auv1.cercles_x[j],auv1.cercles_y[j],auv1.cercles_r[j],clWhite,clBlue,2);
  for (int j=0;j<Form1->auv1.N_murs;j++)
       R.DrawLine (auv1.murs_xa[j],auv1.murs_ya[j],auv1.murs_xb[j],auv1.murs_yb[j],clBlue,psSolid,2);
  for (int j=0;j<controller1.N_mission_points;j++)
       if (controller1.mission_mode[j]=='g')
          {  if (j>controller1.i_mission) R.DrawPoint2(controller1.mission_1[j],controller1.mission_2[j],clPurple,6);
             if (j<controller1.i_mission) R.DrawPoint2(controller1.mission_1[j],controller1.mission_2[j],clGreen,4);
             if (j==controller1.i_mission) R.DrawPoint2(controller1.mission_1[j],controller1.mission_2[j],clRed,8);
          }
  R.image->Refresh();
} ;
//----------------------------------------------------------------------
void TForm1::DrawRobot1(repere& R,double& x,double& y,double& theta, double& alpha, double& d,TColor couleur,int epais)
{      double ux=cos(alpha+theta);
       double uy=sin(alpha+theta);
       R.DrawLine(x,y,x+d*ux,y+d*uy,couleur,psSolid,epais);
       ux=cos(theta);
       uy=sin(theta);
       R.DrawLine(x-0.2*ux,y-0.2*uy,x+0.2*ux,y+0.2*uy,clBlack,psSolid,3);
} ;
//----------------------------------------------------------------------
void TForm1::DrawDataPoint(repere& R,double& y, TColor couleur, double epais)
{      R.DrawPoint (Form1->t,y,couleur,epais);
       R.image->Refresh();
}
//----------------------------------------------------------------------
void TForm1::DrawDataCadre(repere& R,double& y, TColor couleur, double epais)
{      R.DrawPointCadre(Form1->t,y,couleur,0.05,0.2);
       R.image->Refresh();
}
//----------------------------------------------------------------------
void TForm1::DrawDataBar(repere& R,interval& y, TColor couleur)
{      R.DrawLine(Form1->t,y.inf,Form1->t,y.sup,couleur,psSolid,1);
       R.image->Refresh();
}

//----------------------------------------------------------------------
void TForm1::GO()
{ Fout.open("info.txt",fstream::out);
  Fout <<"Dbut\n";
  observer1=observer();
  observer1.Init();
  auv1=auv();
  int k=0;
  int is_inlier;


  double u1,u2;
  double d,alpha,boussole;
  for (int i=0;i<=observer1.m;i++)  //initialisation : On attend un tour sonar avant de partir
  {   u1=0;u2=0;  //on ne bouge pas
      k++;
      Form1->t=Form1->t+Form1->dt;
      auv1.clock(d,alpha,is_inlier,boussole,u1,u2);
      observer1.clock_init(u1,u2,d*interval(0.999,1.001),alpha,is_inlier,boussole+interval(-0.001,0.001));      //Si la mesure d n'est dispo, on met un intervalle [0,oo]
  }
  while (controller1.i_mission<controller1.N_mission_points)     // Dpart de l'AUV
  {   k++;
      Form1->t=Form1->t+Form1->dt;
      auv1.clock(d,alpha,is_inlier,boussole,u1,u2);  // Simulateur
      observer1.clock_k(u1,u2,d*interval(0.999,1.001),alpha,is_inlier,boussole+interval(-0.001,0.001));      //Si la mesure d n'est dispo, on met un intervalle [0,oo]
      if ((observer1.Xhat).IsEmpty())
          break;
      //if (t>18)
      //if (t>5)
      //   break;
      controller1.clock(u1,u2,observer1.Xhat);
      //Fout<<"k = "<<k<<'\n';
      //Fout<<"x = " <<auv1.x<<",    y = " <<auv1.y<<",    theta = " <<auv1.theta<<",    v =" <<auv1.v<<'\n';;
      //Fout<<"xhat=" <<observer1.Xhat[1]<<",  yhat=" <<observer1.Xhat[2]<<",  thetahat=" <<observer1.Xhat[3]<<",  vhat =" <<observer1.Xhat[4]<<'\n';;
      //Form1->Image1->Picture->SaveToFile("probintk_sivia"+String(10000+k)+".bmp");
      //Form1->Image2->Picture->SaveToFile("probintk_trueword"+String(10000+k)+".bmp");
      //Form1->Image3->Picture->SaveToFile("probintk_observer"+String(10000+k)+".bmp");
      //Form1->Image3->Picture->SaveToFile("Rchenille"+String(10000+k)+".bmp");


  }
  Fout<<"k = "<<k<<'\n';
  Fout<<"t = "<<Form1->t<<'\n';
  Fout<<"dt = "<<Form1->dt<<'\n';
  Fout.close();
} ;
//----------------------------------------------------------------------




/*
yk=RandG(2.0, 3.0);
*/










